#include "ByePkg.h"

ByePkg::ByePkg(int a) : TelepatiPkg(){
  type=BYE;
  aibo=a;
}

ByePkg::ByePkg(byte* ptr) : TelepatiPkg(ptr){
}


ByePkg::~ByePkg(){
}

TelepatiPkg* ByePkg::clone(){
  ByePkg* clone=new ByePkg(aibo);
  clone->serialNum=serialNum;
  return clone;
}


byte* ByePkg::getMsg(){ 
  delete [] message;
  message= createStdHeader(0);
  return message;
}
